summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-03-22 11:41:23 +0100
committerAlexis Ballier <aballier@gentoo.org>2016-03-22 11:55:44 +0100
commit7d4e1b86dc0a375284060b273909265a8cbfb649 (patch)
treec1e739aa49cd5070889f94a873823865d2c49afc /dev-ml/async_kernel
parentdev-ml/core_bench: bump to 113.33.00 (diff)
downloadgentoo-7d4e1b86dc0a375284060b273909265a8cbfb649.tar.gz
gentoo-7d4e1b86dc0a375284060b273909265a8cbfb649.tar.bz2
gentoo-7d4e1b86dc0a375284060b273909265a8cbfb649.zip
dev-ml/async_kernel: bump to 113.33.00
Package-Manager: portage-2.2.28 Signed-off-by: Alexis Ballier <aballier@gentoo.org>
Diffstat (limited to 'dev-ml/async_kernel')
-rw-r--r--dev-ml/async_kernel/Manifest1
-rw-r--r--dev-ml/async_kernel/async_kernel-113.33.00.ebuild52
2 files changed, 53 insertions, 0 deletions
diff --git a/dev-ml/async_kernel/Manifest b/dev-ml/async_kernel/Manifest
index 2e0d6d8902d..34978600685 100644
--- a/dev-ml/async_kernel/Manifest
+++ b/dev-ml/async_kernel/Manifest
@@ -1 +1,2 @@
DIST async_kernel-113.24.00.tar.gz 152935 SHA256 4e891b8e93a90be0dddd4ea919c20287c4e18bdc986259a9d7294497d3614556 SHA512 b4be7ab3785eb283e14770e31ba5ef86c0f5074a6e470fd3b2349059fac682f7514e302c41767e951c6791c79f9945633a4af40047126e7b0ef3d8180a1f28d7 WHIRLPOOL 610d5d68ce2daf8bae596bd49f8a0273c032a0f50c031488752443cdd435f6dfaa1a9dae00735469b91ec239180aa2b6526af8584a884065d0da0c875af7ae32
+DIST async_kernel-113.33.00.tar.gz 156556 SHA256 25385f8f252e7ec91cdaee8e67201d270582ce983ed0b1069409d7d1dac573ce SHA512 236ea91c87583992f4d27c92eb8924894624c4514e63a6ce1173270dae457a082a13f37ca6ba0d44be6d2ca8bc10b167ab2787f026bf8216601f438596c18ed4 WHIRLPOOL 6b3f9b0850eab45020b328e66d26712b7ffd4163a58e35ab70c36dddb45eeef7fcd2f8d80e42355f8f8b9a16cbb170f18d61ad81a5f33c8cc86990607daa3ca8
diff --git a/dev-ml/async_kernel/async_kernel-113.33.00.ebuild b/dev-ml/async_kernel/async_kernel-113.33.00.ebuild
new file mode 100644
index 00000000000..65a4c2b8ab4
--- /dev/null
+++ b/dev-ml/async_kernel/async_kernel-113.33.00.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+OASIS_BUILD_DOCS=1
+
+inherit oasis
+
+DESCRIPTION="Jane Street Capital's asynchronous execution library (core)"
+HOMEPAGE="http://www.janestreet.com/ocaml"
+SRC_URI="http://ocaml.janestreet.com/ocaml-core/${PV%.*}/files/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND=">=dev-lang/ocaml-4.02.0:=
+ >=dev-ml/bin-prot-109.15.00:=
+ dev-ml/core_kernel:=
+ >=dev-ml/fieldslib-109.20.00:=
+ dev-ml/ppx_assert:=
+ dev-ml/ppx_bench:=
+ dev-ml/ppx_driver:=
+ dev-ml/ppx_expect:=
+ dev-ml/ppx_inline_test:=
+ dev-ml/ppx_jane:=
+ >=dev-ml/sexplib-109.20.00:=
+ dev-ml/typerep:=
+ dev-ml/variantslib:=
+"
+DEPEND="${RDEPEND} dev-ml/opam"
+
+src_configure() {
+ emake setup.exe
+ OASIS_SETUP_COMMAND="./setup.exe" oasis_src_configure
+}
+
+src_compile() {
+ emake
+}
+
+src_install() {
+ opam-installer -i \
+ --prefix="${ED}/usr" \
+ --libdir="${D}/$(ocamlc -where)" \
+ --docdir="${ED}/usr/share/doc/${PF}" \
+ ${PN}.install || die
+ dodoc CHANGES.md
+}